[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.LoadFromFile

LoadFromFile - Read the graphic from the file system.

## Declaration

Source position: graphics.pp line 796

`public procedure TGraphic.LoadFromFile(`
`const Filename: String`
`); virtual;`

## Arguments

`Filename` |  | The name of the file containing the graphic, held as a string

## Description

LoadFromFile - Read the graphic from the file system.
The old contents of the graphic are lost.
If the file is not of the right format, an exception will be generated.

## Errors

Incorrect file format generates an exception

The latest version of this document can be found at lazarus-ccr.sourceforge.net .